# Gnome::GdaUI::Form Class Reference

Form - Form widget to manipulate data in a Gnome::Gda::DataModel, with decorations. More...

Inherits Gtk::VBox, Gnome::GdaUI::DataSelector, and Gnome::GdaUI::DataProxy.

Collaboration diagram for Gnome::GdaUI::Form:
[legend]

List of all members.

## Public Member Functions

virtual | ~Form ()
GdauiForm* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiForm* | gobj () const
| Provides access to the underlying C GtkObject.
| Form (const Glib::RefPtr< Gnome::Gda::DataModel >& model)
| Creates a new Gdaui::Form widget suitable to display the data in model.
Glib::PropertyProxy_ReadOnly < DataProxyInfo* > | property_info () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy < DataProxyInfoFlag > | property_info_flags ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < DataProxyInfoFlag > | property_info_flags () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < RawForm* > | property_raw_form () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::Form* | wrap (GdauiForm* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Form - Form widget to manipulate data in a Gnome::Gda::DataModel, with decorations.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::Form::~Form | ( |  | ) | `[virtual]`

Gnome::GdaUI::Form::Form | ( | const Glib::RefPtr< Gnome::Gda::DataModel > & | model | ) | `[explicit]`

Creates a new Gdaui::Form widget suitable to display the data in model.

Parameters:

  | model | A Gda::DataModel.

Returns:
  The new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdauiForm* Gnome::GdaUI::Form::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

GdauiForm* Gnome::GdaUI::Form::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

Glib::PropertyProxy_ReadOnly<DataProxyInfo*> Gnome::GdaUI::Form::property_info | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<DataProxyInfoFlag> Gnome::GdaUI::Form::property_info_flags | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<DataProxyInfoFlag> Gnome::GdaUI::Form::property_info_flags | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::Form::property_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<RawForm*> Gnome::GdaUI::Form::property_raw_form | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gnome::GdaUI::Form* wrap | ( | GdauiForm * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/form.h